<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <Version>1.0.0.0</Version>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <AssetTargetFallback>$(AssetTargetFallback);portable-net45+win8+wp8+wpa81;</AssetTargetFallback>
    <AssemblyName>YGNT.QuestionLibrary.EntityFrameworkCore</AssemblyName>
    <OutputType>Library</OutputType>
    <PackageId>YGNT.QuestionLibrary.EntityFrameworkCore</PackageId>
    <GenerateAssemblyConfigurationAttribute>false</GenerateAssemblyConfigurationAttribute>
    <GenerateAssemblyCompanyAttribute>false</GenerateAssemblyCompanyAttribute>
    <GenerateAssemblyProductAttribute>false</GenerateAssemblyProductAttribute>
    <GenerateRuntimeConfigurationFiles>true</GenerateRuntimeConfigurationFiles>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <GenerateBindingRedirectsOutputType>true</GenerateBindingRedirectsOutputType>
    <RootNamespace>YGNT.QuestionLibrary</RootNamespace>
  </PropertyGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\YGNT.Infrastructure\YGNT.Infrastructure.csproj" />
    <ProjectReference Include="..\YGNT.QuestionLibrary.Core\YGNT.QuestionLibrary.Core.csproj" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Abp.EntityFrameworkCore" Version="5.13.0" />
    <PackageReference Include="Abp.EntityFrameworkCore.EFPlus" Version="5.14.0" />
    <PackageReference Include="Abp.ZeroCore.EntityFrameworkCore" Version="5.13.0" />
    <PackageReference Include="Mapster" Version="7.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="3.1.10">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="3.1.10">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="3.2.4" />
  </ItemGroup>
  <ItemGroup>
    <DotNetCliToolReference Include="Microsoft.EntityFrameworkCore.Tools.DotNet" Version="2.0.0" />
  </ItemGroup>
</Project>